# cslEditorLib

A HTML 5 library for searching and editing styles written in the [Citation Style Language](http://citationstyles.org/).

Play with the reference implementation here: [Citation Style Editor](http://editor.citationstyles.org).

## To use

1. Follow instructions to set up the reference implementation here: [Demo Site Repo](https://github.com/citation-style-editor/csl-editor-demo-site).
2. See the [developer guide wiki](https://github.com/citation-style-editor/csl-editor/wiki) for further documentation.

## Attributions 

- [Citation Style Language](http://citationstyles.org/)
- [CSL style repository](https://github.com/citation-style-language/styles)
- [citeproc-js](http://gsl-nagoya-u.net/http/pub/citeproc-doc.html) (Citation formatting engine)
- [CodeMirror](http://codemirror.net/) (text editor on codeEditor page)
- [diff\_match\_patch](http://code.google.com/p/google-diff-match-patch/) (for calculating edit distances in Search by Example)
- [Trang](http://www.thaiopensource.com/relaxng/trang.html) (for converting schema files from .rnc to .rng)
- [node.js](http://node.js.org) (for javascript run in the build process)
- [FamFamFam Silk icons](http://www.famfamfam.com/lab/icons/silk/)
- [Fugue icons](http://p.yusukekamiyamane.com/)
- [jQuery](http://jquery.com/)
- [jQuery jsTree Plugin](http://www.jstree.com/) (tree view on visualEditor page)
- [jQuery UI Layout Plugin](http://layout.jquery-dev.net)
- [jQuery hoverIntent Plugin](http://cherne.net/brian/resources/jquery.hoverIntent.html)
- [jQuery scrollTo Plugin](http://demos.flesler.com/jquery/scrollTo/)
- [QUnit](http://qunitjs.com/) (javascript unit testing framework)
- [RequireJS](http://requirejs.org/) (javascript module loader)
- [mustache](http://mustache.github.com/) (used to generate HTML from templates)
- [pagedown](http://code.google.com/p/pagedown/) (used to generate source code docmentation)
- [XRegExp](http://xregexp.com/) (for unicode letter matching in the Search by Example page)

